Subject: [tcpm] I-D Action:draft-eggert-tcpm-historicize-01.txt

From: [email-masked]
Date: Wed, 16 Feb 2011 04:15:01 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the TCP Maintenance and Minor Extensions Working Group of the IETF.

	Title           : Moving the Undeployed TCP Extensions RFC1072, RFC1106, RFC1110, RFC1145, RFC1146, RFC1263, RFC1379, RFC1644 and RFC1693 to Historic Status
	Author(s)       : L. Eggert
	Filename        : draft-eggert-tcpm-historicize-01.txt
	Pages           : 4
	Date            : 2011-02-16

This document recommends that several TCP extensions that have never
seen widespread use be moved to Historic status.  The affected RFCs
are RFC1072, RFC1106, RFC1110, RFC1145, RFC1146, RFC1263, RFC1379,
RFC1644 and RFC1693.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-eggert-tcpm-historicize-01.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Christian Huitema <[email-masked]>
Date: Thu, 17 Feb 2011 07:00:06 +0000

I note that the list of RFC includes RFC 1263, "TCP Extensions Considered Harmful." The purpose of the draft is to make some extensions historic. Since RFC 1263 does not define any particular extension, I don't see the point of including it. RFC 1263 is an informational RFC. It provides advice on protocol design, and that advice appears to be just as informational now as it was then. I don't see why we should reclassify it.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, February 16, 2011 4:15 AM
To: [email-masked]
Cc: [email-masked]
Subject: [tcpm] I-D Action:draft-eggert-tcpm-historicize-01.txt

This document recommends that several TCP extensions that have never seen widespread use be moved to Historic status.  The affected RFCs are RFC1072, RFC1106, RFC1110, RFC1145, RFC1146, RFC1263, RFC1379,
RFC1644 and RFC1693.

Below is the data which will enable a MIME compliant mail reader implementation to automatically retrieve the ASCII version of the Internet-Draft.

---

From: Lars Eggert <[email-masked]>
Date: Thu, 17 Feb 2011 10:57:21 +0200

Hi,

> I note that the list of RFC includes RFC 1263, "TCP Extensions Considered Harmful." The purpose of the draft is to make some extensions historic. Since RFC 1263 does not define any particular exten…

it provides advice on *TCP* protocol design going forward, but the community went the other way. I don't feel strongly about moving it to Historic or not, but someone suggested it (see below).

Scott Bradner brought this up during his ops-dir review as well:

> On 2011-2-11, at 4:24, Scott O. Bradner wrote:
>> I'm not sure why RFC 1263  "TCP Extensions Considered Harmful" should
>> be included in the list since it seems to me that message of the RFC
>> is still valid.  But if it is to be included it seems like the
>> "it is not used" general description does not apply to this RFC and some
>> specific text should be added to say why it should be made historic
> 
> good point. Someone (I can't remember who, might have been Craig Partridge) suggested to include RFC1263 in this list because it argues for an architectural approach which the subsequent TCP evolution with its myriad of options did not follow. (RFC4614 also contains text along those lines.)
> 
> I'm adding this text to my working copy:
> 
> <xref target="RFC1263"/> ("TCP Extensions Considered Harmful") is somewhat of a special case. Unlike the other RFCs made Historic by this memo, it does not specify a TCP option that failed to see deployment, but argued for a way to evolve TCP forward that the community did not choose to follow.

Lars

---

From: Christian Huitema <[email-masked]>
Date: Thu, 17 Feb 2011 17:35:35 +0000

I would suggest to leave 1623 alone for now. There may be a  rationale to downgrade it later -- or maybe not. In any case, that rationale is not that it defines unused TCP extensions, and thus it does not belong to the same batch.

-----Original Message-----
From: Lars Eggert [mailto:[email-masked]] 
Sent: Thursday, February 17, 2011 12:57 AM
To: Christian Huitema
Cc: [email-masked] Extensions; [email-masked]; Scott O. Bradner
Subject: Re: [tcpm] I-D Action:draft-eggert-tcpm-historicize-01.txt

Hi,

Lars

---

From: Lars Eggert <[email-masked]>
Date: Thu, 17 Feb 2011 19:43:04 +0200

ACK.

I'll leave it to David as the responsible AD to make a call here. As I said, I have no issue removing 1263 from this doc if this is the consensus.

Lars